{
  "name": "jianyin_agent",
  "version": "2.4.3",
  "description": "Your project description here",
  "author": "Your Name or Company",
  "main": "main.js",
  "scripts": {
    "start": "electron .",
    "start-web": "webpack serve --open --config webpack.config.js",
    "build": "webpack --config webpack.config.js",
    "mac": "electron-builder --mac",
    "win": "electron-builder --win -w zip -w nsis",
    "watch": "nodemon --watch ./src --exec 'npm run build && electron .'",
    "start-electron": "concurrently \"npm run start-web\" \"wait-on http://localhost:9000 && electron .\"",
    "app": "electron ."
  },
  "devDependencies": {
    "@babel/core": "^7.14.0",
    "@babel/preset-env": "^7.14.1",
    "@babel/preset-react": "^7.13.13",
    "babel-loader": "^8.2.2",
    "concurrently": "^7.3.0",
    "copy-webpack-plugin": "^12.0.2",
    "css-loader": "^5.2.4",
    "electron": "^31.3.1",
    "electron-builder": "^23.0.3",
    "electron-packager": "^17.1.0",
    "electron-reload": "^1.5.0",
    "file-loader": "^6.2.0",
    "html-webpack-plugin": "^5.5.3",
    "process": "^0.11.10",
    "react-bootstrap": "^2.8.0",
    "style-loader": "^2.0.0",
    "wait-on": "^6.0.0",
    "webpack": "^5.37.0",
    "webpack-cli": "^4.7.0",
    "webpack-dev-server": "^4.11.1"
  },
  "dependencies": {
    "@coze/api": "^1.1.0",
    "@fortawesome/fontawesome-svg-core": "^6.5.1",
    "@fortawesome/free-solid-svg-icons": "^6.5.1",
    "@fortawesome/react-fontawesome": "^0.2.0",
    "ali-oss": "^6.18.1",
    "assert": "^2.1.0",
    "axios": "^1.7.2",
    "bootstrap": "^5.3.0",
    "bootstrap-icons": "^1.11.2",
    "buffer": "^6.0.3",
    "fluent-ffmpeg": "^2.1.3",
    "fs-extra": "^11.2.0",
    "image-size": "^1.1.1",
    "jimp": "^0.22.12",
    "knex": "^3.1.0",
    "os-browserify": "^0.3.0",
    "papaparse": "^5.4.1",
    "path-browserify": "^1.0.1",
    "prop-types": "^15.8.1",
    "qrcode": "^1.5.4",
    "react": "^17.0.2",
    "react-bootstrap-icons": "^1.10.3",
    "react-copy-to-clipboard": "^5.1.0",
    "react-dom": "^17.0.2",
    "react-h5-audio-player": "^3.9.0",
    "react-lazy-load-image-component": "^1.6.0",
    "react-router-dom": "^5.3.0",
    "react-select": "^5.8.0",
    "react-swipeable": "^7.0.1",
    "react-toastify": "^9.1.3",
    "sqlite3": "^5.1.7",
    "stream-browserify": "^3.0.0",
    "subtitle": "^4.2.1",
    "tar": "^7.4.3",
    "universalify": "^2.0.1",
    "util": "^0.12.5",
    "uuid": "^9.0.1",
    "xlsx": "^0.18.5"
  },
  "build": {
    "productName": "视频对口型",
    "appId": "com.spring.jianyinAssistant",
    "asarUnpack": [
      "ffmpeg/**/*",
      "jianyin/**/*"
    ],
    "mac": {
      "category": "public.app-category.utilities",
      "icon": "assets/icons/logo.icns",
      "target": [
        "dmg",
        {
          "target": "zip",
          "arch": [
            "x64",
            "arm64"
          ]
        },
        "tar.gz"
      ],
      "protocols": [
        {
          "name": "MyApp Protocol",
          "schemes": [
            "jianyingAssistant"
          ]
        }
      ]
    },
    "win": {
      "target": [
        "nsis",
        "portable"
      ],
      "icon": "assets/icons/logo.ico",
      "publisherName": "Your Company",
      "protocols": [
        {
          "name": "MyApp Protocol",
          "schemes": [
            "jianyingAssistant"
          ]
        }
      ]
    },
    "nsis": {
      "oneClick": false,
      "allowToChangeInstallationDirectory": true
    },
    "directories": {
      "output": "release"
    }
  }
}
